## Schrijf een case study over data-ethiek

## Instructies

Je hebt geleerd over verschillende [Data Ethics Challenges](../README.md#2-ethics-challenges) en enkele voorbeelden gezien van [Case Studies](../README.md#3-case-studies) die uitdagingen op het gebied van data-ethiek in de praktijk weerspiegelen.

In deze opdracht schrijf je je eigen case study die een uitdaging op het gebied van data-ethiek weerspiegelt vanuit je eigen ervaring, of vanuit een relevante echte-wereld context die je kent. Volg simpelweg deze stappen:

1. `Kies een uitdaging voor data-ethiek`. Bekijk de [lesvoorbeelden](../README.md#2-ethics-challenges) of verken online voorbeelden zoals [de Deon Checklist](https://deon.drivendata.org/examples/) om inspiratie op te doen.

2. `Beschrijf een voorbeeld uit de echte wereld`. Denk aan een situatie waarvan je hebt gehoord (koppen, onderzoek enz.) of die je hebt meegemaakt (lokale gemeenschap), waarin deze specifieke uitdaging zich voordeed. Denk na over de vragen over gegevensethiek met betrekking tot de uitdaging - en bespreek de mogelijke schade of onbedoelde gevolgen die zich voordoen als gevolg van dit probleem. Bonuspunten: denk na over mogelijke oplossingen of processen die hier kunnen worden toegepast om de negatieve impact van deze uitdaging te elimineren of te verminderen.

3. `Geef een lijst met gerelateerde bronnen`. Deel een of meer bronnen (links naar een artikel, een persoonlijke blogpost of afbeelding, online onderzoekspaper enz.) om te bewijzen dat dit een echt voorval was. Bonuspunten: deel bronnen die ook de mogelijke schade en gevolgen van het incident laten zien, of belicht positieve stappen die zijn genomen om herhaling te voorkomen.



## Rubriek

Uitstekend | Adquaat | Vereist verbetering
--- | --- | -- |
Er zijn een of meer uitdagingen op het gebied van data-ethiek geïdentificeerd. <br/> <br/> De casestudy beschrijft duidelijk een incident uit de echte wereld dat die uitdaging weerspiegelt, en benadrukt ongewenste gevolgen of schade die het veroorzaakte. <br/><br/> Er is ten minste één gekoppelde bron om te bewijzen dat dit is gebeurd. | Er wordt één uitdaging op het gebied van gegevensethiek geïdentificeerd. <br/><br/> Minstens één relevante schade of gevolg wordt kort besproken. <br/><br/> De discussie is echter beperkt of er is geen bewijs van echt voorkomen. | Er wordt een data-uitdaging geïdentificeerd. <br/><br/> De beschrijving of bronnen geven echter niet voldoende de uitdaging weer of bewijzen niet voldoende dat het in de praktijk voorkomt. |