# Visualizaciones

![una abeja sobre una flor de lavanda](../images/bee.jpg)
> Foto por <a href="https://unsplash.com/@jenna2980?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText">Jenna Lee</a> en <a href="https://unsplash.com/s/photos/bees-in-a-meadow?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText">Unsplash</a>

Visualizar datos es una de las tareas más importantes de un científico de datos. Las imágenes valen más de 100 palabras, y una visualización puede ayudarte a identificar toda clase de partes interesantes de tus datos como picos, valores atípicos, agrupaciones, tendencias, y más, que pueden ayudarte a entender la historia que tus datos están tratando de contar. 

En estas cinco lecciones, podrás explorar datos provenientes de la naturaleza y crear interesantes y hermosas visualizaciones usando varias técnicas. 
### Tópicos

1. [Visualización de cantidades](../09-visualization-quantities/translations/README.es.md)
2. [Visualización de distribuciones](../10-visualization-distributions/translations/README.es.md)
3. [Visualización de proporciones](../11-visualization-proportions/translations/README.es.md)
4. [Visualización de relaciones](../12-visualization-relationships/translations/README.es.md)
5. [Hacer visualizaciones significativas](../13-meaningful-visualizations/translations/README.es.md)

### Créditos

Estas lecciones de visualización fueron escritas con 🌸 por [Jen Looper](https://twitter.com/jenlooper)

🍯 Los datos sobre la producción de miel en EU provienen del proyecto de Jessica Li en [Kaggle](https://www.kaggle.com/jessicali9530/honey-production). Los [datos](https://usda.library.cornell.edu/concern/publications/rn301137d) se han obtenido del [Departamento de Agricultura de los Estados Unidos](https://www.nass.usda.gov/About_NASS/index.php).

🍄 Los datos sobre hongos también han sido obtenidos de [Kaggle](https://www.kaggle.com/hatterasdunton/mushroom-classification-updated-dataset) revisados por Hatteras Dunton. Este conjunto de datos incluye descripciones de muestras hipotéticas correspondientes a 23 especies de hongos con agallas de la familia Agaricus y Lepiota. Hongos extraídos de La Guía de Campo de la Sociedad Audubon para los Hongos de América del Norte (1981). Este conjunto de datos fue donado a UCI ML 27 en 1987.

🦆 Los datos de las aves de Minnesota provienen de [Kaggle](https://www.kaggle.com/hannahcollins/minnesota-birds) extraídos de [Wikipedia](https://en.wikipedia.org/wiki/List_of_birds_of_Minnesota) por Hannah Collins.

Todos estos conjuntos de datos tienen licencia [CC0: Creative Commons](https://creativecommons.org/publicdomain/zero/1.0/).