# 可视化

![a bee on a lavender flower](../images/bee.jpg)
> 拍摄者 <a href="https://unsplash.com/@jenna2980?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText">Jenna Lee</a> 上传于 <a href="https://unsplash.com/s/photos/bees-in-a-meadow?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText">Unsplash</a>

数据可视化是数据科学家最重要的任务之一。在有的时候，一图可以胜千言。除此之外，可视化还可以帮助你指出你的数据中包含的各种有趣的特征，例如峰值、异常值、分组、趋势等等，这可以帮助你更好的了解你的数据。

在这五节课当中，你将接触到来源于大自然的数据，并使用各种不同的技术来完成有趣且漂亮的可视化。

### 主题

1. [可视化数据](../09-visualization-quantities/README.md)
1. [可视化数据分布](../10-visualization-distributions/README.md)
1. [可视化数据占比](../11-visualization-proportions/README.md)
1. [可视化数据间的关系](../12-visualization-relationships/README.md)
1. [做有意义的可视化](../13-meaningful-visualizations/README.md)

### 致谢

这些可视化课程是由 [Jen Looper](https://twitter.com/jenlooper) 用 🌸 编写的

🍯 US Honey Production 所使用的数据来自 Jessica Li 在 [Kaggle](https://www.kaggle.com/jessicali9530/honey-production) 上的项目。事实上，该 [数据集](https://usda.library.cornell.edu/concern/publications/rn301137d) 来自 [美国农业部](https://www.nass.usda.gov/About_NASS/index.php)。

🍄 mushrooms 所使用的数据集也是来自于 [Kaggle](https://www.kaggle.com/hatterasdunton/mushroom-classification-updated-dataset)，该数据集经历过 Hatteras Dunton 的一些小修订. 该数据集包括对与姬松茸和环柄菇属中 23 种金针菇相对应的假设样本的描述。蘑菇取自于奥杜邦协会北美蘑菇野外指南 (1981)。该数据集于 1987 年捐赠给了 UCI ML 27 （机器学习数据集仓库）

🦆 Minnesota Birds 的数据也来自于 [Kaggle](https://www.kaggle.com/hannahcollins/minnesota-birds)，是由 Hannah Collins 从 [Wikipedia](https://en.wikipedia.org/wiki/List_of_birds_of_Minnesota) 中获取的。

以上这些数据集都遵循 [CC0: Creative Commons](https://creativecommons.org/publicdomain/zero/1.0/) 条款。
