# 데이터 사이언스 생활주기(life cycle) : 소통(communication)

|![ Sketchnote by [(@sketchthedocs)](https://sketchthedocs.dev) ](../../sketchnotes/16-Communicating.png)|
|:---:|
| 데이터 사이언스 생활주기 : 소통 - _Sketchnote by [@nitya](https://twitter.com/nitya)_ |

## [강의 전 퀴즈](https://purple-hill-04aebfb03.1.azurestaticapps.net/quiz/30)

위의 사전 강의 퀴즈와 함께 제공되는 내용을 테스트해 보십시오!

# 개요

### 소통이란 무엇인가?
의사소통의 의미를 정의하는 것으로 이 수업을 시작하겠습니다. **소통하는 것은 정보를 전달하거나 교환하는 것입니다.** 정보는 아이디어, 생각, 느낌, 메시지, 은밀한 신호, 데이터 등 **_송신자_** (정보를 보내는 사람)가  **_수신자_** (정보를 받는 사람)에게 이해하길 원하는 모든 것이 될 수 있습니다. 이 과정에서는 송신자를 전달자로, 수신자를 청중으로 언급할 것입니다.

### 데이터 통신 & 스토리텔링
우리는 의사소통의 목적이 정보를 전달하거나 교환하는 것이라는 것을 이해합니다. 하지만 데이터를 전달할 때, 여러분의 목표는 단순히 청중들에게 숫자를 전달하는 것이 아니어야 합니다. 여러분의 목표는 데이터를 통해 정보를 전달하는 것이어야 합니다 - 효과적인 데이터 커뮤니케이션과 스토리텔링이 함께 진행됩니다. 청중들은 여러분이 들려주는 숫자보다 여러분이 들려주는 이야기를 더 잘 기억할 것입니다. 이 레슨의 후반부에서 스토리텔링을 사용하여 데이터를 보다 효과적으로 전달할 수 있는 몇 가지 방법에 대해 살펴보겠습니다.

### 통신의 종류
이 레슨 내내 단방향 통신과 양방향 통신이라는 두 가지 유형의 통신에 대해 논의합니다.

**일방향 통신**은 송신자가 피드백이나 응답 없이 수신자에게 정보를 보낼 때 발생합니다. 우리는 매일 단방향 커뮤니케이션의 예를 볼 수 있습니다  - 크고/많은 이메일, 뉴스가 가장 최신 이야기를 전달할 때, 또는 TV 광고에서 제품이 좋은 이유를 알려줄 때 등. 이러한 각각의 경우, 송신자는 정보의 교환을 추구하지 않습니다. 그들은 단지 정보를 전달하거나 전달하려고 할 뿐이다.

**양방향 커뮤니케이션**은 모든 관련 당사자가 송신자와 수신자 역할을 할 때 발생합니다. 송신자는 수신자와 통신하는 것으로 시작하고 수신자는 피드백 또는 응답을 제공합니다. 쌍방향 커뮤니케이션은 우리가 소통에 대해 이야기할 때 전통적으로 생각하는 것입니다. 우리는 보통 직접 대화하거나 전화 통화, 소셜 미디어 또는 문자 메시지와 같은 방식으로 사람들의 소통 한다고 생각합니다.

데이터를 전달할 때 단방향 커뮤니케이션(직후에 질문이 들어오지 않는 컨퍼런스에서 발표하거나 대규모 그룹을 대상으로 발표할 때)을 사용하는 경우와 양방향 커뮤니케이션(데이터를 사용하여 소수의 이해 관계자를 설득하거나, 팀 동료에게 새로운 것을 구축하는 데 시간과 노력을 투자해야 한다고 설득할 때)을 사용하는 경우가 있습니다.

# 효과적인 커뮤니케이션

### 전달자로서 여러분의 책임
통신을 할 때 수신자가 당신이 원하는 정보를 가져 가는지 확인하는 것이 여러분의 일입니다. 데이터를 주고받을 때 수신자가 번호만 가져가는 것이 아니라 그 데이터를 통해 스토리를 얻을 수 있는 데이터를 수신자가 가져가는 것을 원할 것입니다. 훌륭한 데이터 전달자는 훌륭한 스토리텔러입니다.

데이터를 가지고 어떻게 이야기를 할 수 있을까요? 방법은 무궁무진하지만 아래 6가지에 대해 이 수업에서 설명하겠습니다.
1. 당신의 청중, 매체 및 커뮤니케이션 방법을 이해하십시오.
2. 끝을 염두에 두고 시작하라
3. 실제 이야기처럼 접근하라
4. 의미 있는 단어와 구문을 사용하라
5. 감정을 사용하라

이러한 각 전략은 아래에 자세히 설명되어 있습니다.

### 1. 청중, 채널 및 커뮤니케이션 방법을 이해하십시오.
여러분이 가족과 소통하는 방법은 여러분이 친구들과 소통하는 방법과 다를 수 있습니다. 여러분은 아마도 듣고 있는 사람들이 더 이해하기 쉬운 다른 단어와 구절을 사용할 것입니다. 데이터 통신 시에도 동일한 방법을 사용해야 합니다. 누구와 소통하고 있는지 생각해 보세요. 당신이 설명하려는 상황에 대하여 그들이 가지고 있는 그들의 목표와 전후사정에 대해 생각해보세요.

대부분의 청중을 한 범주 내에 그룹화할 수 있습니다. 'Harvard Business Review' 기사에서 "[데이터로 스토리를 전하는 방법]"(http://blogs.hbr.org/2013/04/how-to-tell-a-story-with-data/),) Dell의 총괄 전략가인 Jim Stikeleather는 5가지 범주의 고객을 파악합니다.

 - **초보자(Novice)**: 주제에 대한 첫 노출이지만 지나치게 단순화하는 것을 원치 않습니다.
 - **일반인(Generalist)**: 주제를 알고 있지만 개요 이해 및 주요 주제를 찾습니다.
 - **관리자(Managerial)**: 세부사항 접근과의 복잡성과 상호 관계에 대한 심층적이고 실행 가능한 이해
 - **전문가(Expert)**: 더 많은 탐색과 발견, 매우 상세하고 더 적은 스토리텔링
 - **임원(Executive)**: 가중 확률의 중요성과 결론을 얻을 시간만 있습니다.

이러한 카테고리들은 청중에게 데이터를 보여주는 방법을 알려줄 수 있습니다. 

청중의 카테고리에 대해 생각하는 것 외에도, 여러분은 청중을 소통하기 위해 사용하고 있는 채널도 고려해야 합니다. 메모나 이메일을 작성하는 경우, 회의나 컨퍼런스에서 발표하거나 하는 경우와는 약간 다르게 접근해야 합니다. 

여러분의 청중을 이해하는 것 외에도, 여러분이 그들과 어떻게 의사소통할 것인지(단방향 또는 양방향) 아는 것 또한 중요합니다.

대다수의 초보 청중과 대화하고 일방적인 대화를 사용하는 경우, 먼저 청중을 교육하고 적절한 맥락을 제공해야 합니다. 그런 다음 고객에게 데이터를 제시하고 데이터가 무엇을 의미하는지, 데이터가 중요한 이유를 설명해야 합니다. 이 경우, 청중들은 여러분에게 어떠한 직접적인 질문도 할 수 없기 때문에, 여러분은 명확성을 높이는 것에 초점을 맞추고 싶을지도 모릅니다.

대다수의 관리 대상자와 대화하고 양방향 커뮤니케이션을 사용하는 경우, 청중을 교육하거나 많은 컨텍스트를 제공할 필요가 없습니다. 수집한 데이터와 데이터가 중요한 이유에 대해 바로 논의할 수 있습니다. 그러나 이 시나리오에서는 프레젠테이션 타이밍과 제어에 집중해야 합니다. 양방향 커뮤니케이션을 사용할 때(특히 "세부사항 접근과의 복잡성과 상호 관계에 대한 실행 가능한 이해"를 찾는 관리자와) 대화 중에 토론이 이야기와 관련이 없는 방향으로 진행될 수 있습니다. 이 경우, 조치를 취하여 토론 내용을 다시 본 궤도에 올릴 수 있습니다.

### 2. 끝을 염두에 두고 시작하라
끝에서부터 시작하는 것은 청중과 대화를 시작하기 전에 여러분이 의도한 바를 이해시키는 것을 의미합니다. 청중들이 가져가기를 원하는 것에 대해 미리 생각하는 것은 당신이 청중들이 따라올 수 있는 이야기를 만드는 것에 도움이 됩니다. 단방향 커뮤니케이션과 양방향 커뮤니케이션에 모두 끝부터 시작하는 것이 적절합니다.

끝을 염두에 두고 어떻게 시작할까요? 데이터를 전달하기 전에 중요한 사항을 적어 두십시오. 그리고 나서, 여러분이 데이터를 가지고 하고 싶은 이야기를 준비할 때, 스스로에게 물어보세요. "어떻게 이것이 내가 말하고 있는 이야기와 통합될까?"

주의 – 목표를 염두에 두고 시작하는 것이 이상적이지만, 의도한 결과를 뒷받침하는 데이터만 전달하고 싶지는 않을 것입니다. 이렇게 하는 것을 체리 픽킹이라고 하는데, 이것은 통신자가 그들이 만들고자 하는 지점을 지원하는 데이터만 주고받고 다른 모든 데이터를 무시할 때 발생합니다.

수집한 모든 데이터가 의도한 결과를 명확하게 뒷받침한다면 매우 좋습니다. 그러나 수집한 데이터가 사용자의 핵심 정보를 지원하지 않거나 핵심 정보에 반대하는 주장을 뒷받침하는 경우 해당 데이터도 전달해야 합니다. 이러한 상황이 발생하면, 모든 데이터가 반드시 여러분의 이야기를 뒷받침하는 것은 아니지만 왜 여러분이 이야기를 고수하기로 선택했는지 청중에게 솔직하게 알리십시오.

### 3. 실제 이야기처럼 접근하라
전통적인 이야기는 5단계로 진행됩니다. 여러분은 Exposition, Rising Action, Clincise, Falling Action 및 Denounation으로 표현된 단계들을 들어본 적이 있을 것입니다. 또는 Context, Conflict, Climax, Closure, Conclusion으로 기억하기 쉽습니다. 데이터와 사례를 전달할 때도 비슷한 방법을 사용할 수 있습니다. 

Context에서 시작하여 무대를 설정하고 청중이 모두 같은 페이지에 있는지 확인할 수 있습니다. 그런 다음 Conflict을 소개합니다. 왜 이 데이터를 수집해야 했습니까? 어떤 문제를 해결하려고 했습니까? 그 다음 Climax. 데이터가 무엇입니까? 이 데이터는 무엇을 의미합니까? 데이터에 따르면 우리에게 필요한 솔루션은 무엇입니까? 그런 다음 문제와 제안된 솔루션을 반복할 수 있는 Closure에 도달합니다. 마지막으로, 주요 요점과 팀에게 권장하는 다음 단계를 요약할 수 있는 Conclusion에 도달했습니다.

### 4. 의미 있는 단어와 구문을 사용하라
만약 여러분과 제가 함께 제품을 작업하다가 "우리 사용자들이 플랫폼에 접속하는 데 시간이 오래 걸린다"고 말했다면, 얼마나 걸릴 것 같습니까? 한 시간? 일주일? 잘 모르겠는데요. 만약 제가 모든 청중에게 그렇게 말한다면요? 모든 청중은 사용자가 당사 플랫폼에 탑승하는 데 걸리는 시간에 대해 각기 다른 생각을 하게 될 수 있습니다. 

대신, "전체 사용자가 가입하고 플랫폼에 탑승하는 데 평균 3분이 소요됩니다."라고 말한다면 어떨까요? 

이 메시지는 더 명확합니다. 데이터를 전달할 때, 청중 모두가 여러분과 같은 생각을 하고 있다고 생각하기 쉽습니다. 하지만 항상 그런 것은 아니다. 데이터와 데이터의 명확성을 높이는 것은 소통자로서 여러분의 책임 중 하나입니다.  만약 데이터나 여러분의 이야기가 명확하지 않다면, 여러분의 청중은 따라가는데 어려움을 겪을 것이고, 그들이 여러분의 주요 요점을 이해하게 될 가능성이 더 적습니다. 

모호한 단어 대신 의미 있는 단어와 구문을 사용하면 데이터를 보다 명확하게 전달할 수 있습니다. 다음은 몇 가지 예입니다. 

 - 우리는 인상적인 한 해를 보냈어요! 
	 - 한 사람은 2% - 3%의 매출증가를, 한 사람은 50% - 60%의 매출증가를 의미한다고 생각할 수 있습니다. 
 - 사용자의 성공률이 *극적으로* 증가했습니다.
	 - 급격한 상승폭은 얼마나 큰가?
 - 이 사업은 *중대한* 노력이 필요합니다.
	 - 얼마나 많은 노력이 중요한가?

모호한 단어를 사용하면 앞으로 다가올 더 많은 데이터를 소개하거나 방금 말한 내용을 요약하는 데 유용할 수 있습니다. 하지만 청중들을 위해 프레젠테이션의 모든 부분이 명확하도록 하는 것을 고려하십시오.
 

### 5. 감정을 사용하라
감정은 이야기를 하는 데 핵심입니다. 데이터를 사용하여 이야기를 할 때는 더욱 중요합니다. 데이터를 전달할 때는 모든 것이 요점에 집중됩니다. 청중을 위해 감정을 불러일으킬 때, 그것은 그들이 공감하도록 돕고, 그들이 행동을 취하도록 더 쉽게 만듭니다. 감정은 또한 청중이 당신의 메시지를 기억할 가능성을 증가시킵니다. 

여러분은 이것을 전에 TV 광고에서 본 적이 있을 것입니다. 어떤 광고는 매우 침울하고 슬픈 감정을 사용하여 청중들과 소통하고 그들이 제시하는 데이터를 매우 두드러지게 만듭니다. 또는, 어떤 광고들은 매우 낙관적이고 여러분이 그들의 데이터를 행복한 느낌과 연관시키도록 만들 수도 있습니다. 

데이터를 전달할 때 감정을 어떻게 사용합니까? 다음은 몇 가지 방법입니다. 

 - 사용후기 및 개인 이야기 사용 
	- 데이터를 수집할 때는 양적 및 질적 데이터를 모두 수집하고, 커뮤니케이션 시에는 두 가지 유형의 데이터를 통합하도록 노력합니다. 데이터가 주로 양적인 경우, 데이터를 통해 얻은 경험에 대해 자세히 알아볼 수 있는 개인의 사례를 찾아보십시오.
 - 비유 사용
	 - 비유는 청중들이 상황 속의 자신을 볼 수 있도록 도와줍니다. 비유를
	   사용하면, 당신이 느끼는 감정을 청중도 느끼게 할 수 있습니다.
	   그들이 여러분의 데이터에 대해 알아야 합니다.
 - 색상 사용
	 - 색깔마다 다른 감정을 불러일으킵니다. 인기 있는 색깔과 그들이 불러일으키는 감정은 다음과 같습니다. 색깔이 다른 문화에서 다른 의미를 가질 수 있다는 것을 알아두세요. 
		 - 파란색은 보통 평화와 신뢰의 감정을 불러일으킨다.
		 - 녹색은 대개 자연 및 환경과 관련이 있다.
		 - 빨간색은 대개 열정과 흥분이다.
		 - 노란색은 보통 낙관적이고 행복하다.

# 커뮤니케이션 사례 연구
Emerson은 모바일 앱의 제품 관리자입니다. Emerson은 고객들이 주말에 42% 더 많은 불만사항과 버그 보고서를 제출한다는 것을 알게 되었습니다. 에머슨은 또한 48시간 후에 답변되지 않는 불만 사항을 제출하는 고객들이 앱스토어에서 1, 2점을 받을 가능성이 32% 더 높다는 것을 알아챘습니다.

조사를 한 후, 에머슨은 이 문제를 해결할 몇 가지 해결책을 찾았습니다. Emerson은 데이터와 제안된 솔루션을 전달하기 위해 3사 리더들과 30분간 미팅을 갖습니다.

이 미팅에서 에머슨의 목표는 아래 두 가지 솔루션이 앱의 등급을 향상시킬 수 있다는 점을 이해시켜 수익을 높일 수 있도록 하는 것입니다.

**해상도 1.** 주말에 일할 고객 서비스 담당자 고용

**솔루션 2.** 고객 서비스 담당자가 가장 오래 대기한 불만 사항을 쉽게 식별할 수 있는 새로운 고객 서비스 티켓팅 시스템을 구입하여 어떤 불만 사항을 가장 빨리 해결해야 하는지 알 수 있습니다.

미팅에서 에머슨은 5분 동안 앱스토어에서 낮은 점수를 받는 것이 나쁜 이유에 대해 설명하고, 10분 동안 조사 과정과 동향을 파악한 방법에 대해 설명하고, 10분 동안 최근의 고객 불만 사항을 살펴보고, 마지막 5분 동안 2가지 잠재적인 해결책을 둘러댔습니다.

이것이 에머슨에게 회의에서 의사소통을 하기 위한 효과적인 방법이었을까요?

회의 중에 첫번째 회사의 책임자는 에머슨이 겪은 10분간의 고객 불만 사항에 대해 집중했습니다. 회의 후, 그가 기억하는 것은 불만 사항들뿐이었습니다. 두번째 회사의 책임자는 주로 에머슨이 연구 과정을 설명하는 데 초점을 맞췄고, 세 번째 회사 책임자는 에머슨이 제안한 솔루션을 기억했지만 이러한 솔루션이 어떻게 구현될 수 있을지는 확신하지 못했습니다. 

위의 상황에서, 여러분은 에머슨이 책임자들에게 무엇을 알아차리길 원했는지와 그들이 회의에서 무엇을 얻어 갔는지 사이에 상당한 차이가 있다는 것을 알 수 있습니다. 다음은 에머슨이 고려할 수 있는 또 다른 접근법입니다.

에머슨은 어떻게 이 접근법을 개선할 수 있었을까요? 
Context(상황), Conflict(갈등), Climax(절정), Closure(종결), Conclusion(결론)
**Context** - Emerson은 처음 5분 동안 전체 상황을 소개하고 해당 문제가 수익과 같이 회사에 중요한 지표에 어떤 영향을 미치는지 책임자들이 이해하도록 해야합니다. 

"현재 앱스토어에서 우리 앱의 등급은 2.5점입니다. 앱 스토어의 등급은 앱 스토어 최적화에 매우 중요한데, 이는 검색에서 앱을 보는 사용자 수와 앱이 사용자를 바라보는 시각에 영향을 미칩니다. 또한, 우리가 가지고 있는 사용자 수는 수익과 직접적으로 관련이 있습니다."

**Conflict** 에머슨은 앞으로 5분 정도 분쟁에 대해 이야기할 수 있습니다.

"사용자들은 주말에 42% 더 많은 불만사항과 버그 보고서를 제출할 수 있습니다. 48시간 후에 답변이 없는 불만 사항을 제출한 고객은 앱스토어에서 2점 이상의 점수를 받을 가능성이 32% 이상 낮습니다. 앱스토어에서 앱의 등급을 4점으로 개선하면 가시성이 20-30% 향상될 것이며, 이를 통해 수익은 10% 증가할 것으로 예상됩니다." 물론 에머슨은 이 숫자들을 정당화할 준비를 해야 합니다. 

**Climax** 기반을 다진 후, 에머슨은 클라이맥스를 5분 정도 진행할 수 있습니다.

Emerson은 제안된 솔루션을 소개하고, 솔루션이 요약된 문제를 어떻게 해결할 것인지, 이러한 솔루션이 기존 워크플로우에 어떻게 구현될 수 있는지, 솔루션 비용, 솔루션의 ROI를 제시할 수 있으며, 구현될 경우 솔루션이 어떻게 보일지 스크린샷이나 와이어프레임을 보여줄 수도 있습니다. 에머슨은 또한 48시간 이상 걸려 불만을 해결한 사용자들의 후기와 현재 발권 시스템에 대한 의견을 가진 회사 내 고객 서비스 담당자의 후기를 공유할 수 있습니다.

**Closure** 이제 Emerson은 회사가 직면한 문제를 5분 동안 재점검하고 제안된 솔루션을 다시 살펴보고 해당 솔루션이 적합한 이유를 검토할 수 있습니다. 

**Conclusion** 이 회의는 쌍방향 커뮤니케이션이 사용되는 소수의 이해 관계자와의 회의이므로, 회의 종료 전에 팀 책임자들은 혼란스러운 사항을 명확히 하기 위해 10분간 Emerson에게 질문을 할 수 있습니다. 

Emerson이 #2번 접근 방식을 택했다면, 팀 책임자는 Emerson이 의도했던 대로 미팅이 끝나고 불만사항과 버그를 처리하는 방식을 개선할 수 있으며, 이러한 개선을 실현하기 위해 두 가지 솔루션을 사용할 수 있습니다. 이 접근법은 에머슨이 전달하고자 하는 데이터와 이야기를 전달하는데 훨씬 더 효과적인 접근법이 될 것입니다.


# 결론
### 요점 요약
 - 의사소통이란 정보를 전달하거나 교환하는 것입니다.
 - 데이터를 전달할 때, 여러분의 목표는 단순히 청중들에게 숫자를 전달하는 것이 아니어야 합니다. 여러분의 목표는 데이터로 얻을 수 있는 이야기를 전달하는 것이어야 합니다. 
 - 단방향 통신(응답의사가 없는 정보 전달)과 양방향 통신(정보가 앞뒤로 전달된다) 두 가지가 있습니다.
 - 데이터를 사용하여 이야기를 들려주기 위해 사용할 수 있는 여러 가지 전략이 있습니다. 살펴본 5가지 전략은 다음과 같습니다.
	 - 청중, 매체 및 커뮤니케이션 방법 이해
	 - 끝을 염두에 두고 시작
	 - 실제 이야기처럼 접근하기
	 - 의미 있는 단어와 구문을 사용
	 - 감정 사용

## [강의 후 퀴즈](https://purple-hill-04aebfb03.1.azurestaticapps.net/quiz/31)

### 자습을 위한 추천 자료
[스토리텔링의 5대 C - 분명한 설득](http://articulatepersuasion.com/the-five-cs-of-storytelling/)

[1.4 커뮤니케이터로서의 책임 – 성공을 위한 비즈니스 커뮤니케이션(umn.edu)](https://open.lib.umn.edu/businesscommunication/chapter/1-4-your-responsibilities-as-a-communicator/))

[데이터로 이야기를 하는 방법(hbr.org)](https://hbr.org/2013/04/how-to-tell-a-story-with-data)

[양방향 커뮤니케이션: 더 많은 업무를 위한 4가지 팁(yourthoughtpartner.com)](https://www.yourthoughtpartner.com/blog/bid/59576/4-steps-to-increase-employee-engagement-through-two-way-communication)

[훌륭한 데이터 스토리텔링을 위한 6가지 간단한 단계 - BarnRaiser, LLC(barnraisersllc.com)](https://barnraisersllc.com/2021/05/02/6-succinct-steps-to-great-data-storytelling/)

[데이터로 이야기를 하는 방법 | 루시드차트 블로그](https://www.lucidchart.com/blog/how-to-tell-a-story-with-data)

[6C의 효과적인 소셜 미디어 스토리텔링 | 더 멋진 통찰력](https://coolerinsights.com/2018/06/effective-storytelling-social-media/)

[프레젠테이션에서 감정의 중요성 | Ethos3 - 프리젠테이션 교육 및 디자인 기관](https://ethos3.com/2015/02/the-importance-of-emotions-in-presentations/)

[데이터 스토리텔링: 감정과 합리적인 의사 결정 연결(toucantoco.com)](https://www.toucantoco.com/en/blog/data-storytelling-dataviz)

[감성 광고: 브랜드가 감정을 이용해 사람들을 매수하는 방법(hubspot.com)](https://blog.hubspot.com/marketing/emotions-in-advertising-examples)

[프레젠테이션 슬라이드의 색상 선택 | 슬라이드 밖에서 생각하십시오](https://www.thinkoutsidetheslide.com/choosing-colors-for-your-presentation-slides/)

[데이터 제시 방법 [10가지 전문가 팁] | 관찰 포인트](https://resources.observepoint.com/blog/10-tips-for-presenting-data)

[Microsoft Word - 설득 지침.doc(tpsnva.org)](https://www.tpsnva.org/teach/lq/016/persinstr.pdf)

[데이터를 위한 스토리의 힘(thinkhdi.com)](https://www.thinkhdi.com/library/supportworld/2019/power-story-your-data.aspx)

[데이터 프레젠테이션(perceptualedge.com)의 일반적인 실수](https://www.perceptualedge.com/articles/ie/data_presentation.pdf)

[인포그래픽: 다음은 피해야 할 15가지 일반적인 데이터 오류(visualcapitalist.com)](https://www.visualcapitalist.com/here-are-15-common-data-fallacies-to-avoid/)

[체리 피킹: 사람들이 싫어하는 증거를 무시할 때 – 효과학](https://effectiviology.com/cherry-picking/#How_to_avoid_cherry_picking)

[데이터로 이야기를 하다: 데이터 과학에서의 소통 | Sonali Verghese | 데이터 과학을 향해서](https://towardsdatascience.com/tell-stories-with-data-communication-in-data-science-5266f7671d7)

[1. 데이터 통신 - Tableau와 데이터 통신 [Book] (oreilly.com)](https://www.oreilly.com/library/view/communicating-data-with/9781449372019/ch01.html))

## 과제

[이야기를 들려주세요](assignment.md)
