# Data Science in the Cloud

![cloud-picture](images/cloud-picture.jpg)

> Photo by [Jelleke Vanooteghem](https://unsplash.com/@ilumire) from [Unsplash](https://unsplash.com/s/photos/cloud?orientation=landscape)

When it comes to doing data science with big data, the cloud can be a game changer. In the next three lessons, we are going to see what the cloud is and why it can be very helpful. We are also going to explore a heart failure dataset and build a model to help assess the probability of someone having a heart failure. We will use the power of the cloud to train, deploy and consume a model in two different ways. One way using only the user interface in a Low code/No code fashion, the other way using the Azure Machine Learning Software Developer Kit (Azure ML SDK).

![project-schema](19-Azure/images/project-schema.PNG)

### Topics

1. [Why use Cloud for Data Science?](17-Introduction/README.md)
2. [Data Science in the Cloud: The "Low code/No code" way ](18-Low-Code/README.md)
3. [Data Science in the Cloud: The "Azure ML SDK" way ](19-Azure/README.md)

### Credits
These lessons were written with ☁️ and 💕 by [Maud Levy](https://twitter.com/maudstweets) and [Tiffany Souterre](https://twitter.com/TiffanySouterre)

Data for the Heart Failure Prediction project is sourced from [
Larxel](https://www.kaggle.com/andrewmvd) on [Kaggle](https://www.kaggle.com/andrewmvd/heart-failure-clinical-data). It is licensed under the [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/)
