# 클라우드에서의 데이터 과학

![cloud-picture](../images/cloud-picture.jpg)

> [Unsplash](https://unsplash.com/s/photos/cloud?orientation=landscape)의 [Jelleke Vanooteghem](https://unsplash.com/@ilumire)의 사진

빅 데이터로 데이터 과학을 수행할 때 클라우드를 사용하면 판도를 뒤집어 놓을 수 있습니다(game changer). 다음 세 강의에서는 클라우드가 무엇이며 왜 매우 유용할 수 있는지 알아보겠습니다. 우리는 또한 심부전 데이터셋을 탐색하고 누군가가 심부전에 걸릴 확률을 평가하는 데 도움이 되는 모델을 구축할 것입니다. 클라우드의 힘을 사용하여 두 가지 방식으로 모델을 훈련, 배포 및 사용합니다. 첫번째 방법은 로우 코드(Low code)/노 코드(No code) 방식으로 사용자 인터페이스만 사용하는 방법, 두번째 방법으로는 Azure 기계 학습 소프트웨어 개발자 키트(Azure ML SDK)를 사용하는 방법이 있습니다.

![프로젝트 스키마](../19-Azure/images/project-schema.PNG)

### 주제

1. [데이터 사이언스에 클라우드를 사용하는 이유](17-Introduction/translations/README.ko.mdd)
2. [클라우드에서의 데이터 과학: "Low code/No code" 방식](../18-Low-Code/translations/README.ko.md)
3. [클라우드에서의 데이터 과학: "Azure ML SDK" 방식](../19-Azure/translations/README.ko.md)

### 크레딧
이 수업은 [Maud Levy](https://twitter.com/maudstweets)와 [Tiffany Souterre](https://twitter.com/TiffanySouterre)의 ☁️ 과 💕 로 작성했습니다.

심부전 예측 프로젝트의 데이터 출처는 [Kaggle](https://www.kaggle.com/andrewmvd/heart-failure-clinical-data)의 [Larxel](https://www.kaggle.com/andrewmvd)에게 있습니다. [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/)에 따라 라이선스가 부여됩니다.