# 云上的数据科学

![cloud-picture](../images/cloud-picture.jpg)

> 拍摄者 [Jelleke Vanooteghem](https://unsplash.com/@ilumire) 上传于 [Unsplash](https://unsplash.com/s/photos/cloud?orientation=landscape)

将“云”应用在大数据相关的数据科学上时，它可以起到四两拨千斤的作用。在接下来的三节课程中，我们将逐一了解并学习“云”的基本概念，并尝试弄明白它对数据科学有何帮助。我们也会通过探索心力衰竭这一疾病相关的数据集来构建模型，并用它来评估某人患有心力衰竭的概率。通过借助“云”的力量，我们将采取两种不同的方式来训练、部署、使用该模型。第一种方式仅采用低代码或无代码的用户界面，另一种则采用了 Azure 机器学习软件开发工具包 (Azure ML SDK)。

![project-schema](../19-Azure/images/project-schema.PNG)

### 主题

1. [为什么要将云应用于数据科学？](17-Introduction/README.md)
2. [云上的数据科学：通过低代码/无代码方式](18-Low-Code/README.md)
3. [云上的数据科学：通过 (Azure ML SDK)](19-Azure/README.md)

### 致谢

这些课程由 [Maud Levy](https://twitter.com/maudstweets) 和 [Tiffany Souterre](https://twitter.com/TiffanySouterre) 用 ☁️ 及 💕 编写。

心力衰竭预测项目的数据来源于 [Larxel](https://www.kaggle.com/andrewmvd) （在 [Kaggle](https://www.kaggle.com/andrewmvd/heart-failure-clinical-data) 上）。 适用 [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/) 许可证。
