# Explore a Planetary Computer Dataset

## Instructions

In this lesson, we talked about various data science application domains - with deep dives into examples related to research, sustainability and digital humanities. In this assignment, you'll explore one of these examples in more detail, and apply some of your learnings around data visualizations and analysis to derive insights about sustainability data.

The [Planetary Computer](https://planetarycomputer.microsoft.com/) project has datasets and APIs that can be accessed with an account - request one for access if you want to try the bonus step of the assignment. The site also provides an [Explorer](https://planetarycomputer.microsoft.com/explore) feature that you can use without creating an account. 


`Steps:`
The Explorer interface (shown in the screenshot below) lets you select a dataset (from provided options), a preset query (to filter data) and a rendering option (to create a relevant visualization). In this assignment, your task is to:

 1. Read the [Explorer documentation](https://planetarycomputer.microsoft.com/docs/overview/explorer/) - understand options.
 2. Explore the dataset [Catalog](https://planetarycomputer.microsoft.com/catalog) - learn the purpose of each.
 3. Use the Explorer - pick a dataset of interest, select a relevant query & rendering option.


![The Planetary Computer Explorer](images/planetary-computer-explorer.png)

`Your Task:`
Now study the visualization that is rendered in the browser and answer the following:
 * What _features_ does the dataset have?
 * What _insights_ or results does the visualization provide?
 * What are the _implications_ of those insights to the sustainability goals of the project?
 * What are the _limitations_ of the visualization (i.e., what insight did you not get?)
 * If you could get the raw data, what _alternative visualizations_ would you create, and why?

`Bonus Points:`
Apply for an account - and login when accepted.
 * Use the _Launch Hub_ option to open the raw data in a Notebook.
 * Explore the data interactively, and implement the alternative visualizations you thought of.
 * Now analyze your custom visualizations - were you able to derive the insights you missed before?

## Rubric

Exemplary | Adequate | Needs Improvement
--- | --- | -- |
All five core questions were answered. The student clearly identified how current and alternative visualizations could provide insights into sustainability objectives or outcomes.| The student answered at least the top 3 questions in great detail, showing that had practical experience with the Explorer. | The student failed to answer multiple questions, or provided insufficient detail - indicating that no meaningful attempt was made for the project |
