# ग्रहीय कंप्यूटर डेटासेट का अन्वेषण करें

## निर्देश

इस पाठ में, हमने विभिन्न डेटा विज्ञान अनुप्रयोग डोमेन के बारे में बात की - अनुसंधान, स्थिरता और डिजिटल मानविकी से संबंधित उदाहरणों में गहन गोता लगाने के साथ। इस असाइनमेंट में, आप इनमें से किसी एक उदाहरण का अधिक विस्तार से अन्वेषण करेंगे, और स्थिरता डेटा के बारे में अंतर्दृष्टि प्राप्त करने के लिए डेटा विज़ुअलाइज़ेशन और विश्लेषण के आसपास अपनी कुछ सीखों को लागू करेंगे।

[प्लैनेटरी कंप्यूटर](https://planetarycomputer.microsoft.com/) प्रोजेक्ट में डेटासेट और एपीआई हैं जिन्हें किसी खाते से एक्सेस किया जा सकता है - यदि आप असाइनमेंट के बोनस चरण को आज़माना चाहते हैं तो एक्सेस के लिए अनुरोध करें। साइट एक [एक्सप्लोरर](https://planetarycomputer.microsoft.com/explore) सुविधा भी प्रदान करती है जिसका उपयोग आप बिना खाता बनाए भी कर सकते हैं।


`कदम:`
एक्सप्लोरर इंटरफ़ेस (नीचे स्क्रीनशॉट में दिखाया गया है) आपको एक डेटासेट (प्रदान किए गए विकल्पों में से), एक प्रीसेट क्वेरी (डेटा फ़िल्टर करने के लिए) और एक रेंडरिंग विकल्प (एक प्रासंगिक विज़ुअलाइज़ेशन बनाने के लिए) का चयन करने देता है। इस असाइनमेंट में, आपका कार्य है:

 1. [एक्सप्लोरर दस्तावेज़ीकरण] (https://planetarycomputer.microsoft.com/docs/overview/explorer/) पढ़ें - विकल्पों को समझें।
 2. डेटासेट को एक्सप्लोर करें [कैटलॉग](https://planetarycomputer.microsoft.com/catalog) - प्रत्येक का उद्देश्य जानें।
 3. एक्सप्लोरर का उपयोग करें - रुचि का डेटासेट चुनें, प्रासंगिक क्वेरी और रेंडरिंग विकल्प चुनें।


![प्लैनेटरी कंप्यूटर एक्सप्लोरर](इमेज/प्लैनेटरी-कंप्यूटर-एक्सप्लोरर.पीएनजी)

`आपका कार्य:`
अब उस विज़ुअलाइज़ेशन का अध्ययन करें जो ब्राउज़र में प्रस्तुत किया गया है और निम्नलिखित का उत्तर दें:
 * डेटासेट में क्या _features_ हैं?
 * विज़ुअलाइज़ेशन क्या _insights_ या परिणाम प्रदान करता है?
 * परियोजना के स्थायित्व लक्ष्यों के लिए उन अंतर्दृष्टि के _प्रभाव_ क्या हैं?
 * विज़ुअलाइज़ेशन की _सीमाएँ_ क्या हैं (यानी, आपको कौन सी अंतर्दृष्टि नहीं मिली?)
 * यदि आप कच्चा डेटा प्राप्त कर सकते हैं, तो आप कौन से _वैकल्पिक विज़ुअलाइज़ेशन_ बनाएंगे, और क्यों?

`बोनस अंक:`
एक खाते के लिए आवेदन करें - और स्वीकार किए जाने पर लॉगिन करें।
 * नोटबुक में अपरिष्कृत डेटा खोलने के लिए _Launch Hub_ विकल्प का उपयोग करें।
 * डेटा को अंतःक्रियात्मक रूप से एक्सप्लोर करें, और उन वैकल्पिक विज़ुअलाइज़ेशन को लागू करें जिनके बारे में आपने सोचा था।
 * अब अपने कस्टम विज़ुअलाइज़ेशन का विश्लेषण करें - क्या आप उन जानकारियों को प्राप्त करने में सक्षम थे जिन्हें आपने पहले याद किया था?

## रूब्रिक

अनुकरणीय | पर्याप्त | सुधार की जरूरत
--- | --- | -- |
सभी पांच मुख्य सवालों के जवाब दिए गए। छात्र ने स्पष्ट रूप से पहचाना कि कैसे वर्तमान और वैकल्पिक विज़ुअलाइज़ेशन स्थिरता के उद्देश्यों या परिणामों में अंतर्दृष्टि प्रदान कर सकते हैं।| छात्र ने कम से कम शीर्ष 3 प्रश्नों के उत्तर बहुत विस्तार से दिए, यह दिखाते हुए कि एक्सप्लोरर के साथ व्यावहारिक अनुभव था। | छात्र कई प्रश्नों का उत्तर देने में विफल रहा, या अपर्याप्त विवरण प्रदान किया - यह दर्शाता है कि परियोजना के लिए कोई सार्थक प्रयास नहीं किया गया था |
