# Planetary Computer 데이터 셋 살펴보기

## 설명

이 레슨에서는, 우리는 다양한 도메인에 적용된 데이터 과학에 대해 이야기할 것입니다 - 연구, 지속 가능성과 디지털 인문학에 관련된 예를 더 깊이 파고 들것입니다. 이 과제에서, 당신은 이러한 예들 중 하나를 더 자세히 살펴보고, 데이터 시각화 및 분석에 대한 학습 내용을 적용하여 지속 가능성 데이터에 대한 통찰력을 도출할 수 있습니다.

[Planetary Computer](https://planetarycomputer.microsoft.com/) 프로젝트에서 계정으로 데이터 셋과 API를 접근할 수 있습니다 - 과제의 보너스 단계를 시도하려면 액세스 권한을 요청하세요. 이 사이트는 계정을 만들지 않고도 사용할 수 있는 [Explorer](https://planetarycomputer.microsoft.com/explore) 기능도 제공합니다.

`단계:` Explorer 인터페이스(아래 스크린샷에 보임)를 사용하여 데이터 셋(제공된 옵션), 사전 설정된 쿼리(데이터 필터링), 렌더링 옵션(관련 시각화를 생성)을 선택할 수 있습니다. 이 과제에서, 과제는 다음과 같습니다.

1. [Explorer documentation](https://planetarycomputer.microsoft.com/docs/overview/explorer/) 살펴보기 - 옵션에 대한 이해.
2. 데이터 셋 [Catalog](https://planetarycomputer.microsoft.com/catalog) 살펴보기 - 각각에 대한 목적 이해.
3. Explorer 사용하기 - 관심있는 데이터를 고르고, 알맞은 쿼리 & 렌더링 옵션을 찾으세요.

![The Planetary Computer Explorer](images/Planetary-Computer-Explorer.png)

`당신의 과제:` 이제 브라우저에 렌더링된 시각화를 공부하고 다음 질문에 답해보세요:

* 데이터가 어떤 _특징(features)_ 을 가지고 있나요 ?
* 시각화 어떤 *인사이트* 혹은 결과를 제공하나요?
* 이러한 통찰이 프로젝트의 지속 가능성 목표에 미치는 *의미 (implications)* 는 무엇인가요?
* 시각화의 한계(즉, 어떤 통찰력을 얻지 못했나요?)가 무엇이었나요?
* 미가공 데이터를 얻을 수 있다면 어떤 _대체 시각화_ 를 만들고 싶은지? 그리고 그 이유는 무엇인가요?

`보너스 포인트:` 계정 신청 - 그리고 계정 승인 후 로그인 해보기.

* 데이터를 인터랙티브하게 탐색하고, 생각해 낸 다른 시각화를 구현합니다.
* 이제 커스텀한 시각화를 분석해보세요 - 이전에 놓쳤던 통찰력을 도출할 수 있었나요?

## 지시문

| 모범적인                                                                                       | 적당한                                                                 | 개선 필요                                                            |
| ------------------------------------------------------------------------------------------ | ------------------------------------------------------------------- | ---------------------------------------------------------------- |
| 다섯 가지 핵심 질문에 모두 답했습니다. 학생은 현재 및 대안 시각화가 지속 가능성 목표 또는 결과에 대한 통찰력을 제공할 수 있는 방법을 명확하게 파악했습니다. | 학생은 적어도 상위 3개의 질문에 매우 자세하게 답변했으며, 이는 Explorer에 대한 실제 경험이 있음을 보여줍니다. | 학생이 여러 질문에 답하지 못하거나 세부 정보가 충분하지 않음 - 프로젝트에 의미 있는 시도가 없었음을 나타냅니다. |
