## For Educators

Would you like to use this curriculum in your classroom? Please feel free!

In fact, you can use it within GitHub itself by using GitHub Classroom.

To do that, fork this repo. You are going to need to create a repo for each lesson, so you're going to need to extract each folder into a separate repo. That way, [GitHub Classroom](https://classroom.github.com/classrooms) can pick up each lesson separately. 

These [full instructions](https://github.blog/2020-03-18-set-up-your-digital-classroom-with-github-classroom/) will give you an idea how to set up your classroom.

## Using the repo as is

If you would like to use this repo as it currently stands, without using GitHub Classroom, that can be done as well. You would need to communicate with your students which lesson to work through together.

In an online format (Zoom, Teams, or other) you might form breakout rooms for the quizzes, and mentor students to help them get ready to learn. Then invite students to for the quizzes and submit their answers as 'issues' at a certain time. You might do the same with assignments, if you want students to work collaboratively out in the open.

If you prefer a more private format, ask your students to fork the curriculum, lesson by lesson, to their own GitHub repos as private repos, and give you access. Then they can complete quizzes and assignments privately and submit them to you via issues on your classroom repo.

There are many ways to make this work in an online classroom format. Please let us know what works best for you!

## Included in this curriculum:

20 lessons, 40 quizzes, and 20 assignments. Sketchnotes accompany the lessons for visual learners. Many lessons are available in both Python and R and can be completed using Jupyter notebooks in VS Code. Learn more about how to set up your classroom to use this tech stack: https://code.visualstudio.com/docs/datascience/jupyter-notebooks.

All sketchnotes, including a large-format poster, are in [this folder](./sketchnotes/).

The entire curriculum is available [as a PDF](./pdf/readme.pdf).

You can also run this curriculum as a standalone, offline-friendly web site by using [Docsify](https://docsify.js.org/#/). [Install Docsify](https://docsify.js.org/#/quickstart) on your local machine, then in the root folder of your local copy of this repo, type `docsify serve`. The website will be served on port 3000 on your localhost: `localhost:3000`.

An offline-friendly version of the curriculum will open as a standalone web page: https://localhost:3000

Lessons are grouped into 6 parts:

- 1: Introduction
    - 1: Defining Data Science
    - 2: Ethics
    - 3: Defining Data
    - 4: Probability and Statistics Overview
- 2: Working with Data
    - 5: Relational Databases
    - 6: Non-Relational Databases
    - 7: Python
    - 8: Data Preparation
- 3: Data Visualization
    - 9: Visualization of Quantities
    - 10: Visualization of Distributions
    - 11: Visualization of Proportions
    - 12: Visualization of Relationships
    - 13: Meaningful Visualizations
- 4: Data Science Lifecycle
    - 14: Introduction
    - 15: Analyzing
    - 16: Communication
- 5: Data Science in the Cloud
    - 17: Introduction
    - 18: Low-Code Options
    - 19: Azure
- 6: Data Science in the Wild
    - 20: Overview

## Please give us your thoughts!

We want to make this curriculum work for you and your students. Please give us feedback in the discussion boards! Feel free to create a classroom area on the discussion boards for your students.
