# Data Science para Inciantes - Um curso

[![GitHub license](https://img.shields.io/github/license/microsoft/Data-Science-For-Beginners.svg)](https://github.com/microsoft/Data-Science-For-Beginners/blob/master/LICENSE)
[![GitHub contributors](https://img.shields.io/github/contributors/microsoft/Data-Science-For-Beginners.svg)](https://GitHub.com/microsoft/Data-Science-For-Beginners/graphs/contributors/)
[![GitHub issues](https://img.shields.io/github/issues/microsoft/Data-Science-For-Beginners.svg)](https://GitHub.com/microsoft/Data-Science-For-Beginners/issues/)
[![GitHub pull-requests](https://img.shields.io/github/issues-pr/microsoft/Data-Science-For-Beginners.svg)](https://GitHub.com/microsoft/Data-Science-For-Beginners/pulls/)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com)

[![GitHub watchers](https://img.shields.io/github/watchers/microsoft/Data-Science-For-Beginners.svg?style=social&label=Watch)](https://GitHub.com/microsoft/Data-Science-For-Beginners/watchers/)
[![GitHub forks](https://img.shields.io/github/forks/microsoft/Data-Science-For-Beginners.svg?style=social&label=Fork)](https://GitHub.com/microsoft/Data-Science-For-Beginners/network/)
[![GitHub stars](https://img.shields.io/github/stars/microsoft/Data-Science-For-Beginners.svg?style=social&label=Star)](https://GitHub.com/microsoft/Data-Science-For-Beginners/stargazers/)

Os promotores da Azure Cloud na Microsoft estam entusiasmados por oferecer 10 semanas, 20 lições todas sobre Data Science. Cada lição é composta por dois quizzes (um pré e outro pós aula), instruções escritas de como concluir a lição, uma solução, e ainda um trabalho de casa. A pedagogia à base de projectos, permite que aprendas enquanto crias algo, um metodo comprovado para "agarrar" as skills aprendidas.


**Um agradecimento caloroso aos nossos autores:** [Jasmine Greenaway](https://www.twitter.com/paladique), [Dmitry Soshnikov](http://soshnikov.com), [Nitya Narasimhan](https://twitter.com/nitya), [Jalen McGee](https://twitter.com/JalenMcG), [Jen Looper](https://twitter.com/jenlooper), [Maud Levy](https://twitter.com/maudstweets), [Tiffany Souterre](https://twitter.com/TiffanySouterre), [Christopher Harrison](https://www.twitter.com/geektrainer).

**🙏 E um agradecimento muito especial 🙏 aos nosso [Estudantes Embaixadores da Microsoft](https://studentambassadors.microsoft.com/) autores, revisores e contribuidores de conteudos,** notavelmente Aaryan Arora, [Aditya Garg](https://github.com/AdityaGarg00), [Alondra Sanchez](https://www.linkedin.com/in/alondra-sanchez-molina/), [Ankita Singh](https://www.linkedin.com/in/ankitasingh007), [Anupam Mishra](https://www.linkedin.com/in/anupam--mishra/), [Arpita Das](https://www.linkedin.com/in/arpitadas01/), ChhailBihari Dubey, [Dibri Nsofor](https://www.linkedin.com/in/dibrinsofor), [Dishita Bhasin](https://www.linkedin.com/in/dishita-bhasin-7065281bb), [Majd Safi](https://www.linkedin.com/in/majd-s/), [Max Blum](https://www.linkedin.com/in/max-blum-6036a1186/), [Miguel Correa](https://www.linkedin.com/in/miguelmque/), [Mohamma Iftekher (Iftu) Ebne Jalal](https://twitter.com/iftu119), [Nawrin Tabassum](https://www.linkedin.com/in/nawrin-tabassum), [Raymond Wangsa Putra](https://www.linkedin.com/in/raymond-wp/), [Rohit Yadav](https://www.linkedin.com/in/rty2423), Samridhi Sharma, [Sanya Sinha](https://www.linkedin.com/mwlite/in/sanya-sinha-13aab1200),
[Sheena Narula](https://www.linkedin.com/in/sheena-narua-n/), Tauqeer Ahmad, Yogendrasingh Pawar

|![ Sketchnote by [(@sketchthedocs)](https://sketchthedocs.dev) ](../sketchnotes/00-Title.png)|
|:---:|
| Data Science para Iniciantes - _Sketchnote by [@nitya](https://twitter.com/nitya)_ |


# Primeiros Passos

> **Para Professores**: nós [incluímos algumas sugestões](for-teachers.md) em como usar este curso.  Adorávamos ou vir a vossa opínião  [no nosso paínel de discussões](https://github.com/microsoft/Data-Science-For-Beginners/discussions)!

> **Para Estudantes**: para utilizares este cursão por conta própria, faz fork deste repositório e completa cada um dos exercícios, começando sempre pelo quiz pré lição. De seguida lê as informações referente à lição e completa o resto das atívidades. Tenta criar os projectos com os conhecimentos adquiridos na lição em vez de copiares o código diretamente da solução. No final ou caso tenhas dúvidas podes sempre olhar para o código fornecido na pasta /solutions para as lições em que são apresentados os projectos. Outra ideia seria criares um grupo de estudo com os teus amigos, de forma a aprenderem todos juntos. Se estiveres interessado em mais conteúdo de aprendizagem, recomendamos[Microsoft Learn](https://docs.microsoft.com/en-us/users/jenlooper-2911/collections/qprpajyoy3x0g7?WT.mc_id=academic-77958-bethanycheum).


## Conhece a equipa

[![Promo video](../ds-for-beginners.gif)](https://youtu.be/8mzavjQSMM4 "Video Promocional")

**Gif por** [Mohit Jaisal](https://www.linkedin.com/in/mohitjaisal)

> 🎥 Clica na imagem acima para um video sobre o curso e o pessoal que o criou!

## Pedagogia


Nós escolhemos adoptar dois caminhos pedagógicos ao criar este curso: garantir uma aprendizagem à base de projectos e a inclusão de quizzes frequentes. No final deste conjunto de lições, os estudantes teram aprendido os princípios básicos de Data Science, incluido conceitos éticos, preparação, manipulação, visualização e análise de dados, assim como cenários reais da utilização da Data Science e muito mais.

Um quiz de aquecimento antes da aula de forma a cativar a atenção do aluno para o tópico a aprender, e um segundo quiz no final da aula para assegurar a consolidação de conhecimentos. Este curso foi desenhado com felxibilidade e divertimento em mente, podendo ser feito de forma seguida ou às partes. Os desafios proposto começam de forma simples aumentando de complexidade ao longo das 10 semanas.

> Encontra as nossas diretrizes de [Conduta](CODE_OF_CONDUCT.md), [Contribuição](CONTRIBUTING.md) e [Tradução](TRANSLATIONS.md). Feedback construtivo é mais apreciado!

## Cada Lição incluí:

- Um sketchbook (Opcional)
- Um vídeo suplementar (Opcional)
- Um quiz de aquecimento (Pré-Lição)
- A lição escrita
- Para lições baseadas em projectos, um guía passo-a-passo sobre como contruir o projecto
- Uma verificação de conhecimentos
- Um desafio
- Leituras Suplementares
- Um trabalho de casa
- Um quiz de consolidação (Pré-Lição)

> **Nota sobre os quizzes**: Os quizzes encontram-se [nesta aplicação](https://purple-hill-04aebfb03.1.azurestaticapps.net/), num total de 40 quizzes com 3 perguntas cada. O link de cada quiz encontrasse nos documentos de cada lição mas a plataforma de quizzes pode ser corrida localmente: basta seguir as instruções da pasta `quiz-app`. Cada quiz esta a ser gradualmente trduzido.


## Lições

|![ Sketchnote by [(@sketchthedocs)](https://sketchthedocs.dev) ](../sketchnotes/00-Roadmap.png)|
|:---:|
| Data Science para Iniciantes: Roadmap - _Sketchnote by [@nitya](https://twitter.com/nitya)_ |


| Número da Lição | Tópico | Categoria da Lição | Conceitos a Aprender | Link da Aula | Autor |
| :-----------: | :----------------------------------------: | :--------------------------------------------------: | :-----------------------------------------------------------------------------------------------------------------------------------------------------------------------: | :---------------------------------------------------------------------: | :----: |
| 01 | Definição de Data Science | [Introdução](../1-Introduction/README.md) | Aprender os conceitos base por detrás da Data Science e como estes se relacionam com a inteligência artificial, a machine learning e a big data. | [lições](../1-Introduction/01-defining-data-science/README.md) [video](https://youtu.be/beZ7Mb_oz9I) | [Dmitry](http://soshnikov.com) |
| 02 | Ética na Data Science | [Introdução](1-Introduction/README.md) | Conceitos da Ética de dados, Desafios e Frameworks. | [lições](../1-Introduction/02-ethics/README.md) | [Nitya](https://twitter.com/nitya) |
| 03 | Definição de Dados | [Introdução](../1-Introduction/README.md) | Como são classificados os dados e quais a sua origem. | [lições](../1-Introduction/03-defining-data/README.md) | [Jasmine](https://www.twitter.com/paladique) |
| 04 | Introdução a Probabilidades e Estatísticas | [Introdução](../1-Introduction/README.md) | As técnicas matemáticas de probabilidade e estatísca aplicadas aos dados. | [lições](../1-Introduction/04-stats-and-probability/README.md) [video](https://youtu.be/Z5Zy85g4Yjw) | [Dmitry](http://soshnikov.com) |
| 05 | Trabalhar com dados relacionais | [Trabalhar com Dados](../2-Working-With-Data/README.md) | Introdução a dados relacionais e aos básicos de de análise e exploração de dados relacionais através de Linguagem de Procura Estruturada, também conhecida como SQL (e pronunciado "see-quell"). | [lições](../2-Working-With-Data/05-relational-databases/README.md) | [Christopher](https://www.twitter.com/geektrainer) | | |
| 06 | Trabalhar com dados NoSQL| [Trabalhar com Dados](../2-Working-With-Data/README.md) | Introdução a dados não relacionais, assim como aos vários tipos. Introdução aos básicos de análize de documentação de base de dados.| [lições](../2-Working-With-Data/06-non-relational/README.md) | [Jasmine](https://twitter.com/paladique)|
| 07 | Trabalhar com Python | [Trabalhar com Dados](../2-Working-With-Data/README.md) | Basicos de Python para manípulação de dados através de bibliotecas como seja a bibliotéca Pandas. Conhecimento prévio dos fundamentos da linguagem de programação Python recomendado.| [lições](../2-Working-With-Data/07-python/README.md) [video](https://youtu.be/dZjWOGbsN4Y) | [Dmitry](http://soshnikov.com) |
| 08 | Preparação dos Dados | [Trabalhar com Dados](../2-Working-With-Data/README.md) |Técnicas de tratamentos de dados de forma a lidar com dados incompletos, em falta ou pouco precisos. | [lições](../2-Working-With-Data/08-data-preparation/README.md) | [Jasmine](https://www.twitter.com/paladique) |
| 09 | Visualizar Quantidades | [Visualização de Dados](../3-Data-Visualization/README.md) | Aprender a utilizar Matplotlib para visualizar dados de pássaros 🦆 | [lições](../3-Data-Visualization/09-visualization-quantities/README.md) | [Jen](https://twitter.com/jenlooper) |
| 10 | Visualizar Distribuições de Dados | [Visualização de Dados](../3-Data-Visualization/README.md) | Observação de tendências de dados num intervalo de tempo | [lições](../3-Data-Visualization/10-visualization-distributions/README.md) | [Jen](https://twitter.com/jenlooper) |
| 11 | Visualizar Proporções | [Visualização de Dados](../3-Data-Visualization/README.md) | Visualizar percentagens de grupos e de forma discreta | [lições](../3-Data-Visualization/11-visualization-proportions/README.md) | [Jen](https://twitter.com/jenlooper) |
| 12 | Visualizar Relações | [Visualização de Dados](../3-Data-Visualization/README.md) | Visualizar ligações e correlações entre sets de dados e as suas propriedades.| [lições](../3-Data-Visualization/12-visualization-relationships/README.md) | [Jen](https://twitter.com/jenlooper) |
| 13 | Visualização Eficiente  | [Visualização de Dados](../3-Data-Visualization/README.md) | Técnicas e orientação de  visualização de dados para melhor obtenção de resultados. | [lições](../3-Data-Visualization/13-meaningful-visualizations/README.md) | [Jen](https://twitter.com/jenlooper) |
| 14 | Introdução ao ciclo de vida de Data Science | [Cíclo de Vida](../4-Data-Science-Lifecycle/README.md) | Introdução ao ciclo de vida de Data Science e os primeiros passos de obtenção e extração de dados. | [lições](../4-Data-Science-Lifecycle/14-Introduction/README.md) | [Jasmine](https://twitter.com/paladique) |
| 15 | Análise  | [Cíclo de Vida](../4-Data-Science-Lifecycle/README.md) |Esta fase da Data Science foca-se nas técnicas de análise de dados. | [lições](../4-Data-Science-Lifecycle/15-analyzing/README.md) | [Jasmine](https://twitter.com/paladique) | | |
| 16 | Comunicação | [Cíclo de Vida](../4-Data-Science-Lifecycle/README.md) |Esta fase foca-se em tratar e apresentar os dados, obtendo resultados de fácil compreenção para postriores decisões. | [lições](../4-Data-Science-Lifecycle/16-communication/README.md) | [Jalen](https://twitter.com/JalenMcG) | | |
| 17 | Data Science na Cloud | [Cloud Data](../5-Data-Science-In-Cloud/README.md) | Este conjunto de lições introduz o mundo da Data Science na Cloud.| [lições](../5-Data-Science-In-Cloud/17-Introduction/README.md) | [Tiffany](https://twitter.com/TiffanySouterre) e [Maud](https://twitter.com/maudstweets) |
| 18 | Data Science na Cloud | [Cloud Data](../5-Data-Science-In-Cloud/README.md) |Treino de modelos através da utilização de Ferramentas de Código de Baixo Nível. |[lições](../5-Data-Science-In-Cloud/18-Low-Code/README.md) | [Tiffany](https://twitter.com/TiffanySouterre) e [Maud](https://twitter.com/maudstweets) |
| 19 | Data Science na Cloud | [Cloud Data](../5-Data-Science-In-Cloud/README.md) | Utilização de modelos treinados através da Azure Machine Learning Studio. | [lições](../5-Data-Science-In-Cloud/19-Azure/README.md)| [Tiffany](https://twitter.com/TiffanySouterre) e [Maud](https://twitter.com/maudstweets) |
| 20 | Data Science ao vivo | [In the Wild](../6-Data-Science-In-Wild/README.md) | Exemplos de projectos de casos reais com recurso a Data Science. | [lições](../6-Data-Science-In-Wild/20-Real-World-Examples/README.md) | [Nitya](https://twitter.com/nitya) |
## Acesso Offline
Podes correr esta documentação offline através da utilização de [Docsify](https://docsify.js.org/#/). Faz fork deste repositório, [instala Docsify](https://docsify.js.org/#/quickstart) na tua máquina local, e depois na pasta principal des repositório, escreve `docsify serve`. Este website será então acesssível no localhost porta 3000: `localhost:3000`.
>Nota, os notebooks nao seram renderizados via Docsify, por este motivo para correr um notebook, fá-lo no VS Code que esteja a correr o kernel do Python.

## PDF

Um PDF com todas as lições pode ser encontrado [aqui](https://microsoft.github.io/Data-Science-For-Beginners/pdf/readme.pdf)

## Toda a ajuda é bem vinda!
Se gostavas de traduzir este curso, segue as intruções acessíveis em [Translations](../TRANSLATIONS.md)

## Outros Cursos

A nossa equipa tambem tem outros curso que possas estar interessado!

- [Machine Learning for Beginners](https://aka.ms/ml-beginners)
- [IoT for Beginners](https://aka.ms/iot-beginners)
- [Web Dev for Beginners](https://aka.ms/webdev-beginners)
