# 针对初学者的数据科学课程

微软 Azure Cloud 的倡导者们很高兴可以提供这套十周、二十节课的关于数据科学的课程。每一节课都包括课前和课后测验、完成课程的书面说明、解决方案和作业。通过这种基于项目的教学方法，你能够边学边做，这样可以学得更加扎实。

**衷心感谢我们的作者：** [Jasmine Greenaway](https://www.twitter.com/paladique), [Dmitry Soshnikov](http://soshnikov.com), [Nitya Narasimhan](https://twitter.com/nitya), [Jalen McGee](https://twitter.com/JalenMcG), [Jen Looper](https://twitter.com/jenlooper), [Maud Levy](https://twitter.com/maudstweets), [Tiffany Souterre](https://twitter.com/TiffanySouterre), [Christopher Harrison](https://www.twitter.com/geektrainer).

**🙏 特别感谢 🙏 我们的微软学生大使作者、审核者和内容贡献者，** 特别是 [Raymond Wangsa Putra](https://www.linkedin.com/in/raymond-wp/), [Ankita Singh](https://www.linkedin.com/in/ankitasingh007), [Rohit Yadav](https://www.linkedin.com/in/rty2423), [Arpita Das](https://www.linkedin.com/in/arpitadas01/), [Mohamma Iftekher (Iftu) Ebne Jalal](https://twitter.com/iftu119), [Dishita Bhasin](https://www.linkedin.com/in/dishita-bhasin-7065281bb), [Miguel Correa](https://www.linkedin.com/in/miguelmque/), [Nawrin Tabassum](https://www.linkedin.com/in/nawrin-tabassum), [Sanya Sinha](https://www.linkedin.com/mwlite/in/sanya-sinha-13aab1200), [Majd Safi](https://www.linkedin.com/in/majd-s/), [Sheena Narula](https://www.linkedin.com/in/sheena-narula-n/), [Anupam Mishra](https://www.linkedin.com/in/anupam--mishra/), [Dibri Nsofor](https://www.linkedin.com/in/dibrinsofor), Alondra Sanchez, Yogendrasingh Pawar, Max Blum, Samridhi Sharma, Tauqeer Ahmad, Aaryan Arora, ChhailBihari Dubey

|![ Sketchnote by [(@sketchthedocs)](https://sketchthedocs.dev) ](../sketchnotes/00-Title.png)|
|:---:|
| 针对初学者的数据科学课程 - _Sketchnote by [@nitya](https://twitter.com/nitya)_ |


# 起步

> **老师们**，我们提供了关于如何使用这个课程的 [一些建议](../for-teachers.md)。我们希望您能 [在我们的讨论区](https://github.com/microsoft/Data-Science-For-Beginners/discussions) 提出反馈意见！

> **同学们**，如果你想自己学习这门课程，你可以在整个 repo 中自己完成练习，从课前测验开始，然后阅读讲座，完成其他活动。尝试通过理解课程内容来创建项目，而不是仅仅把答案代码抄下来；然而，在每个项目课程中，这些代码可以在里面的 /solutions 文件夹中找到。另一个方法是与朋友组成一个学习小组，一起学习内容。为了进一步的研究，我们推荐 [Microsoft Learn](https://docs.microsoft.com/en-us/users/jenlooper-2911/collections/qprpajyoy3x0g7?WT.mc_id=academic-77958-bethanycheum)。

[![Promo video](../ds-for-beginners.png)](https://youtu.be/8mzavjQSMM4 "Promo video")

> 🎥 点击上面的图片，观看关于这个项目以及作者的视频！

## 教学方法

在创建这个课程时，我们选择了两个教学原则：确保它是基于项目的，并且包括频繁的测验。在本系列课程结束时，学生将学会数据科学的基本原则，包括道德概念、数据准备、处理数据的不同方式、数据可视化、数据分析、数据科学的实际使用案例等等。

此外，课前的低风险测验使学生对学习某个主题有了意向，而课后的第二次测验则确保了学生记住了内容。本课程的设计是灵活而有趣的，可以参加整个或部分课程。这些项目开始时很小，在 10 周的学习过程内会变得越来越复杂。

> 看看我们的 [行为守则](../CODE_OF_CONDUCT.md)、[贡献](../CONTRIBUTING.md) 以及 [翻译](../TRANSLATIONS.md) 指南。我们欢迎你的建设性反馈！

## 每节课包括：

- 可选的涂鸦笔记（sketchnote）
- 可选的补充视频
- 课前热身测验
- 书面说明
- 对于基于项目的课程，有关于如何建立项目的分步骤指南
- 知识测验
- 挑战
- 补充阅读
- 作业
- 课后测验

> **关于测验的提示**：所有的测验都包含在  [这个应用](https://purple-hill-04aebfb03.1.azurestaticapps.net/) 中，共有 40 个测验，每个测验都有三个问题。课中将有它们的链接，但这个应用也可以在本地运行；按照 `quiz-app` 文件夹中的指引。它们正在被本地化。

## 课程

| ![ Sketchnote by [(@sketchthedocs)](https://sketchthedocs.dev) ](../sketchnotes/00-Roadmap.png) |
| :----------------------------------------------------------: |
| 针对初学者的数据科学课程：路线图 - _涂鸦笔记 by [@nitya](https://twitter.com/nitya)_ |


| 编号 | 主题 | 课程分类 | 学习目标 | 链接 | 作者 |
| :-----------: | :----------------------------------------: | :--------------------------------------------------: | :-----------------------------------------------------------------------------------------------------------------------------------------------------------------------: | :---------------------------------------------------------------------: | :----: |
| 01 | 数据科学的定义 | [简介](../1-Introduction/translations/README.zh-cn.md) | 了解数据科学背后的基本概念以及它与人工智能、机器学习和大数据的关系。 | [课程](../1-Introduction/01-defining-data-science/README.md) [视频](https://youtu.be/pqqsm5reGvs) | [Dmitry](http://soshnikov.com) |
| 02 | 数据科学伦理 | [简介](../1-Introduction/translations/README.zh-cn.md) | 数据伦理的概念、挑战和框架。 | [课程](../1-Introduction/02-ethics/README.md) | [Nitya](https://twitter.com/nitya) |
| 03 | 数据的定义 | [简介](../1-Introduction/translations/README.zh-cn.md) | 数据是如何分类的，以及它的常见来源。 | [课程](../1-Introduction/03-defining-data/README.md) | [Jasmine](https://www.twitter.com/paladique) |
| 04 | 统计与概率概论 | [简介](../1-Introduction/translations/README.zh-cn.md) | 用概率和统计学的数学技术来理解数据。 | [课程](../1-Introduction/04-stats-and-probability/README.md) [视频](https://youtu.be/Z5Zy85g4Yjw) | [Dmitry](http://soshnikov.com) |
| 05 | 与关系型数据打交道 | [与数据打交道](../2-Working-With-Data/translations/README.zh-cn.md) | 介绍关系型数据，以及用结构化查询语言（又称 SQL）探索和分析关系型数据的基础知识（读作 “see-quell”）。 | [课程](../2-Working-With-Data/05-relational-databases/README.md) | [Christopher](https://www.twitter.com/geektrainer) |
| 06 | 与非关系型数据打交道 | [与数据打交道](../2-Working-With-Data/translations/README.zh-cn.md) | 介绍非关系型数据，其各种类型以及探索和分析文档数据库的基本知识。 | [课程](../2-Working-With-Data/06-non-relational/README.md) | [Jasmine](https://twitter.com/paladique)|
| 07 | 使用 Python 工作 | [与数据打交道](../2-Working-With-Data/translations/README.zh-cn.md) | 使用 Python 与 Pandas 等库进行数据探索的基础知识。建议对 Python 编程有基本的了解。 | [课程](../2-Working-With-Data/07-python/README.md) [视频](https://youtu.be/dZjWOGbsN4Y) | [Dmitry](http://soshnikov.com) |
| 08 | 数据准备 | [与数据打交道](../2-Working-With-Data/translations/README.zh-cn.md) | 关于清理和转换数据的数据技术专题，以处理缺失、不准确或不完整数据带来的挑战。 | [课程](../2-Working-With-Data/08-data-preparation/README.md) | [Jasmine](https://www.twitter.com/paladique) |
| 09 | 数量可视化 | [数据可视化](../3-Data-Visualization/translations/README.zh-cn.md) | 了解如何使用 Matplotlib 来可视化鸟类数据 🦆 | [课程](../3-Data-Visualization/09-visualization-quantities/README.md) | [Jen](https://twitter.com/jenlooper) |
| 10 | 数据分布的可视化 | [数据可视化](../3-Data-Visualization/translations/README.zh-cn.md) | 将一个区间内的观察和趋势可视化。 | [课程](../3-Data-Visualization/10-visualization-distributions/README.md) | [Jen](https://twitter.com/jenlooper) |
| 11 | 比例的可视化 | [数据可视化](../3-Data-Visualization/translations/README.zh-cn.md) | 将离散的和分组的百分比可视化。 | [课程](../3-Data-Visualization/11-visualization-proportions/README.md) | [Jen](https://twitter.com/jenlooper) |
| 12 | 关系的可视化 | [数据可视化](../3-Data-Visualization/translations/README.zh-cn.md) | 将数据集及其变量之间的联系和相关性可视化。 | [课程](../3-Data-Visualization/12-visualization-relationships/README.md) | [Jen](https://twitter.com/jenlooper) |
| 13 | 有意义的可视化 | [数据可视化](../3-Data-Visualization/translations/README.zh-cn.md) | 关于使你的可视化对有效解决问题和洞察力有价值的技术和指导。 | [课程](../3-Data-Visualization/13-meaningful-visualizations/README.md) | [Jen](https://twitter.com/jenlooper) |
| 14 | 数据科学生命周期介绍 | [生命周期](../4-Data-Science-Lifecycle/translations/README.zh-cn.md) | 介绍数据科学生命周期及其获取和提取数据的第一个步骤。 | [课程](../4-Data-Science-Lifecycle/14-Introduction/README.md) | [Jasmine](https://twitter.com/paladique) |
| 15 | 分析 | [生命周期](../4-Data-Science-Lifecycle/translations/README.zh-cn.md) | 数据科学生命周期的这一阶段侧重于分析数据的技术。 | [课程](../4-Data-Science-Lifecycle/15-Analyzing/README.md) | [Jasmine](https://twitter.com/paladique) |
| 16 | 交流 | [生命周期](../4-Data-Science-Lifecycle/translations/README.zh-cn.md) | 数据科学生命周期的这一阶段重点是以一种使决策者更容易理解的方式来展示数据的洞察力。 | [课程](../4-Data-Science-Lifecycle/16-Communication/README.md) | [Jalen](https://twitter.com/JalenMcG) |
| 17 | 云上的数据科学 | [云上数据](../5-Data-Science-In-Cloud/translations/README.zh-cn.md) | 这一系列课程介绍了云上的数据科学及其好处。 | [课程](../5-Data-Science-In-Cloud/17-Introduction/README.md) | [Tiffany](https://twitter.com/TiffanySouterre) 和 [Maud](https://twitter.com/maudstweets) |
| 18 | 云上的数据科学 | [云上数据](../5-Data-Science-In-Cloud/translations/README.zh-cn.md) | 使用低代码工具训练模型。 |[课程](../5-Data-Science-In-Cloud/18-Low-Code/README.md) | [Tiffany](https://twitter.com/TiffanySouterre) 和 [Maud](https://twitter.com/maudstweets) |
| 19 | 云上的数据科学 | [云上数据](../5-Data-Science-In-Cloud/translations/README.zh-cn.md) | 用 Azure ML Studio 部署模型 | [课程](../5-Data-Science-In-Cloud/19-Azure/README.md) | [Tiffany](https://twitter.com/TiffanySouterre) 和 [Maud](https://twitter.com/maudstweets) |
| 20 | 现实中的数据科学 | [现实世界](../6-Data-Science-In-Wild/translations/README.zh-cn.md) | 现实世界中由数据科学驱动的项目 | [课程](../6-Data-Science-In-Wild/20-Real-World-Examples/README.md) | [Nitya](https://twitter.com/nitya) |

## 离线访问

您可以使用 [Docsify](https://docsify.js.org/#/) 离线运行此文档。Fork 这个项目，在你的机器上[安装 Docsify](https://docsify.js.org/#/quickstart)，并在这个仓库的根文件夹中运行 `docsify serve`。你可以通过 localhost 的 3000 端口访问此文档：`localhost:3000`。

> 注意，notebook 不会通过 Docsify 呈现，所以当你需要运行 notebook 时，请在运行了 Python 内核的 VS Code 中单独进行。

## PDF

所有课程的 PDF 都在 [这里](../pdf/readme.pdf)。

## 需要帮忙！

想贡献一份翻译吗？请阅读我们的 [翻译](../TRANSLATIONS.md) 指南。

## 其他课程

我们的团队制作了其它课程！看一下：

- [针对初学者的机器学习课程](https://aka.ms/ml-beginners)
- [针对初学者的 IoT 课程](https://aka.ms/iot-beginners)
- [针对初学者的 Web 开发课程](https://aka.ms/webdev-beginners)
